Skip to content

Create or update listing (V2)

POST
/api/v2/listing/vehicle

Submits a vehicle and returns a 202 Accepted with a tracking URL / transaction ID.

Vehicle data including status, identification details, and price information

Request body for creating or updating a vehicle listing

object
status
required

Whether the vehicle is available

string
Allowed values: Available Unavailable
Example
Available
branch

Branch identifier. If omitted the vehicle will be listed against the primary dealership for the account.

string
Example
christchurch
vehicleDetails
required

Vehicle details

object
make
required

Vehicle make

string
year
required

Vehicle year

integer
Example
2026
color
required

Vehicle color

string
Example
White
model
required

Vehicle model

string
Example
Corolla
seats
required

Number of seats

integer
Example
5
bodyType
required

Body type

string
Example
Sedan
engineCC

Engine capacity in cubic centimetres

number
Example
1900
fuelType
required

Fuel type

string
Example
Petrol
odometer
required

Odometer reading

integer
Example
84390
submodel

Vehicle submodel/variant

string
Example
S Line
driveType

Drive type

string
Example
4WD
wofExpiry

WOF expiry date

string format: date
Example
2026-09-23T00:00:00
odometerUnit

Odometer reading units

string
Example
km
transmission
required

Transmission type

string
Example
Automatic
registrationExpiry

Registration expiry date

string
Example
2026-08-30T00:00:00
Example
{
"make": "Toyota",
"model": "Corolla",
"bodyType": "Sedan",
"year": 2026,
"color": "Orange",
"seats": 5,
"transmission": "Automatic",
"fuelType": "Petrol",
"odometer": 84390
}
priceDetails

Price details

object
orcAmount

On road costs amount

number
Example
600
salePrice

Sale price

number
Example
13990
excludesGst
required

Whether price excludes GST

boolean
orcIncluded

Whether ORC is included

boolean
Example
true
retailPrice

Retail price

number
Example
14990
Example
{
"excludesGst": false,
"retailPrice": 14990,
"salePrice": 13990
}
identificationDetails
required

Identification details

object
vin

Vehicle identification number

string
Example
JW0KF4WLA00124981
stockNumber
required

Unique stock number. Used to identify listings for update.

string
Example
C2026
registration
required

Vehicle registration number (license plate)

string
Example
AUTRDR
Example
{
"stockNumber": "C2026",
"registration": "AUTRDR"
}
comments

The listing description

string
Example
Tidy car with one previous owner
features
required

Array of vehicle features

Array<string>
Example
[
"Airbags",
"ABS",
"Keyless Entry"
]
subtitle

Vehicle subtitle

string
Example
Just landed!
imageURLs

Array of image URLs

Array<string>
Example
[
"https://example.com/car.jpg",
"https://example.com/car.jpg",
"https://example.com/car.jpg"
]
links

External links to vehicle

object
stockURL

URL to stock page

string
Example
https://example.com/C2026
financeApplicationURL

URL for finance application

string
Example
https://example.com/C2026/apply
Example
{
"stockUrl": "https://example.com/C2026",
"financeApplicationURL": "https://example.com/C2026/apply"
}
Example
{
"status": "Available",
"branch": "Christchurch",
"vehicleDetails": {
"make": "Toyota",
"model": "Corolla",
"year": 2026,
"bodyType": "Sedan",
"color": "Orange",
"seats": 5,
"transmission": "Automatic",
"fuelType": "Petrol",
"odometer": 84390
},
"identificationDetails": {
"stockNumber": "C2026",
"registration": "AUTRDR"
},
"features": [
"Airbags",
"ABS",
"Keyless Entry"
]
}

Request accepted for processing

Response containing the transaction tracking ID

object
transactionId

The ID of the transaction that was submitted for processing

string format: uuid
Example
3fa85f64-5717-4562-b3fc-2c963f66afa6

Validation error